#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, p, o= 0, c = 0; cin >> n;
    int e[n], r[n], s[n], p[n];
    for (int i = 0; i < n; i++)
    {
        cin >> e[i];
    }
    for (int i = 0; i < n; i++)
    {
        cin >> r[i];
    }
    for (int i = 0; i < n; i++)
    {
        cin >> s[i];
    }
    for (int i = 0; i < n; i++)
    {
        for (int j = 0; i < n; i++)
        {
            if (r[j]==e[i])
            {
                p = j;
                break;
            }
        }
        for (int j = 0; j < n; j++)
        {
            if (s[j]==p)
            {
                o++;
            }
        }
        c += o;
    }
    cout << c;
    return 0;
}